Subject: Re: bug#9311: 23.3.50; Can't load some byte-compiled files on Windows
From: Eli Zaretskii <[email-masked]>
To: Kazuhiro Ito <[email-masked]>, Michael Albinus <[email-masked]>
Cc: [email-masked]
Date: Wed, 17 Aug 2011 11:55:22 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> Date: Wed, 17 Aug 2011 09:24:43 +0900
> From: Kazuhiro Ito <[email-masked]>
> 
> I wrote c:/test.el as below and byte-compiled it.
> 
> (defun test ()
>   (let ((l 1))
>     (dotimes (i 100)
>       nil)))
> 
> When I load it by load function with absolute path as below, I can't
> load it and below message is displayed.  But it doesn't raise error.
> 
> (load "c:/test")
> -> End of file during parsing: c:/test.elc

This happens because Emacs thinks this file is remote.  It is almost a
duplicate of bug#5303, except that 5303 talked about files without an
extension, while this one is specific to .elc files.

I fixed this in revision 105479 on the trunk, by handling the DOS_NT
specific situation where `openp' returns -2, but there's no `load'
handler for the file.